Skip to main content
Compute Management/VM Related Interfaces
GETVM Related InterfacesSince 2.2SynchronousAuth Required

Get VM Monitor Number

Get VM Monitor Number

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Resource UUID, uniquely identifies the resource

Query Parameters

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • monitorNumberIntegerRequired

    监控数量。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. When the operation succeeds, this field is null. For details, see error

    • codeStringRequired

      Error code number, a globally unique identifier of the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The error that triggered the current error. If there is no original error, this field is null

Endpoint

GET/zstack/v1/vm-instances/{uuid}/monitorNumber

/zstack/v1/vm-instances/{uuid}/monitorNumber

Operation ID

GetVmMonitorNumber

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{uuid}/monitorNumber?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "monitorNumber": 2.0 }

Change History

This API has no change history records yet.

View all change history